Subject: Re: [PATCH] rtlwifi: remove redundant initialization of variable ul_encalgo

From: Dan Carpenter <[email-masked]>
Date: Wed, 2 Feb 2022 14:05:54 +0300

On Wed, Feb 02, 2022 at 02:10:40AM -0800, Joe Perches wrote:
> On Wed, 2022-02-02 at 08:02 +0300, Dan Carpenter wrote:
> > On Mon, Jan 31, 2022 at 02:53:40AM +0000, Pkshih wrote:
> > > On Sun, 2022-01-30 at 22:37 +0000, Colin Ian King wrote:
> > > 
> > > When I check this patch, I find there is no 'break' for default case.
> > > Do we need one? like
> > > 
> > > @@ -226,6 +226,7 @@ void rtl_cam_empty_entry(struct ieee80211_hw *hw, u8 uc_index)
> > >                 break;
> > >         default:
> > >                 ul_encalgo = rtlpriv->cfg->maps[SEC_CAM_AES];
> > > +               break;
> > 
> > No, it's not necessary.  The choice of style is up to the original
> > developer.
> 
> every case should have one.
> 
> Documentation/process/deprecated.rst:
> 
> All switch/case blocks must end in one of:
> 
> * break;
> * fallthrough;
> * continue;
> * goto <label>;
> * return [expression];
> 

I doubt that's what Kees had in mind when he wrote that.

The extra break statement doesn't improve readability.  It also doesn't
hurt readability.

There is no reason to add a break statement after a default case.  No
one is going to add another case after the default case.  And if they
do then a dozen static analysis tools will complain about the missing
break.

I looked through the code to see if break statements were more common
than non-break statement code.  Both seem pretty common.  I got bored
really quickly though and my sample might not have been representative.

regards,
dan carpenter